
<div class="msg-pop">
    <div>
      <h3>Shift Details</h3>
    </div>
   
  </div>
  <div>
    <div class="pop--inner">
      <div class="ibox-content">
        <div class="table-responsive custom-table">
        
          <table aria-describedby="Manage Company" *ngIf="shift"  style="text-align: center;" class="table table-striped">
            <thead>
              <tr><th scope="col"></th></tr>
              <tr><th scope="col"></th></tr>
            </thead>
            <tbody>
              <td>
                <table aria-describedby="Manage Company" class="table table-bordered">
                  <tr>
                    <th scope="col">Driver Name</th>
                    <td> {{shift.driver_id? shift.driver_id.username : 'N/A'}} </td>
                  </tr>
                  <tr>
                    <th scope="col">Vehicle Name</th>
                    <td>{{shift.vehicle_id? shift.vehicle_id.display_name : 'N/A'}} </td>
                  </tr>
                  <tr>
                    <th scope="col">Vehicle Id</th>
                    <td>{{shift.vehicle_id? shift.vehicle_id.vehicle_unique_id : 'N/A'}} </td>
                  </tr>
                  <tr>
                    <th scope="col">Device Name</th>
                    <td>{{shift.device_id? shift.device_id.device_model : 'N/A'}} </td>
                  </tr>
                  <tr>
                    <th scope="col">Device Id</th>
                    <td>{{shift.device_id? shift.device_id.unique_device_id : 'N/A'}} </td>
                  </tr>
                  <tr>
                    <th scope="col">Company</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.company?shift.shift_details_id.company:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <th scope="col">Occupied time:</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.occupied_time?shift.shift_details_id.occupied_time:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <th scope="col">Free time:</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.free_time?shift.shift_details_id.free_time:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <th scope="col">First start :</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.first_start?shift.shift_details_id.first_start:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <th scope="col">Last stop :</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.last_stop?shift.shift_details_id.last_stop:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <th scope="col">Orders distance:</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.orders_distance?shift.shift_details_id.orders_distance:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <th scope="col">Total distance:</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.total_distance?shift.shift_details_id.total_distance:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                      <th scope="col">Free rides:</th>
                      <td>{{shift.shift_details_id!=null?shift.shift_details_id.free_rides?shift.shift_details_id.free_rides:'N/A':'N/A'}}
                        </td>
                    </tr>
                  <tr>
                    <th scope="col">Driver formated:</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.driver_formated?shift.shift_details_id.driver_formated:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <tr>
                      <th scope="col">Bill not printed:</th>
                      <td>{{shift.shift_details_id!=null?shift.shift_details_id.bill_not_printed?shift.shift_details_id.bill_not_printed:'N/A':'N/A'}}
                        </td>
                    </tr>
                </table>
              </td>
              <td>
                <table aria-describedby="Manage Company" class="table table-bordered">
                  <tr>
                    <th scope="col">Bill not printed count:</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.bill_not_printed_count?shift.shift_details_id.bill_not_printed_count:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <th scope="col">No payment:</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.no_payment?shift.shift_details_id.no_payment:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <th scope="col">No payment count:</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.no_payment_count?shift.shift_details_id.no_payment_count:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <th scope="col">Status :</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.status?shift.shift_details_id.status:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <th scope="col">Total:</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.total?shift.shift_details_id.total:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <th scope="col">Payed:</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.payed?shift.shift_details_id.payed:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <th scope="col">To pay:</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.to_pay?shift.shift_details_id.to_pay:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <th scope="col">Shift duration:</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.shift_duration?shift.shift_details_id.shift_duration:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <th scope="col">Trip full paid by credit:</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.trip_full_paid_by_credit?shift.shift_details_id.trip_full_paid_by_credit:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <th scope="col">Trip partially paid by credit :</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.trip_partially_paid_by_credit?shift.shift_details_id.trip_partially_paid_by_credit:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <th scope="col">Credit total:</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.credit_total?shift.shift_details_id.credit_total:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <th scope="col">Cash trip total:</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.cash_trip_total?shift.shift_details_id.cash_trip_total:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                    <th scope="col">Credit:</th>
                    <td>{{shift.shift_details_id!=null?shift.shift_details_id.credit?shift.shift_details_id.credit:'N/A':'N/A'}}
                      </td>
                  </tr>
                  <tr>
                  <th scope="col">Bill printed :</th>
                  <td>{{shift.shift_details_id!=null?shift.shift_details_id.bill_printed?shift.shift_details_id.bill_printed:'N/A':'N/A'}}
                    </td>
                </tr>
                <tr>
                  <th scope="col">Bill printed count :</th>
                  <td>{{shift.shift_details_id!=null?shift.shift_details_id.bill_printed_count?shift.shift_details_id.bill_printed_count:'N/A':'N/A'}}
                    </td>
                </tr>
                </table>
              </td>
            </tbody>
          </table>
        </div>
      </div>
      <div class="container-fluid" *ngIf="!shift">
        <div class="row">
          <div class="dataTables_info1">
            <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
              No records found.
            </div>
          </div>
        </div>
      </div>
      <div class="pop-btn text-right">
        <input class="btn btn-default close-btn" value="Close" type="button" (click)="closePop()">
      </div>
    </div>